# Uses of Interface
org.opensaml.saml.saml2.metadata.OrganizationName

Packages that use OrganizationName
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of OrganizationName in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type OrganizationName
Modifier and Type
Method
Description
`List<OrganizationName>`
Organization.`getOrganizationNames()`
Gets a list of names for this organization.

## Uses of OrganizationName in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement OrganizationName
Modifier and Type
Class
Description
`class`
`OrganizationNameImpl`
Concrete implementation of `OrganizationName`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type OrganizationName
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<OrganizationName>`
OrganizationImpl.`names`
OrganizationName children.
Methods in org.opensaml.saml.saml2.metadata.impl that return OrganizationName
Modifier and Type
Method
Description
`OrganizationName`
OrganizationNameBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`OrganizationName`
OrganizationNameBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type OrganizationName
Modifier and Type
Method
Description
`List<OrganizationName>`
OrganizationImpl.`getOrganizationNames()`
Gets a list of names for this organization.